org.apache.cassandra.locator

## Class SnitchProperties

- java.lang.Object
- - org.apache.cassandra.locator.SnitchProperties

    public class SnitchProperties
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `RACKDC_PROPERTY_FILENAME`

### Constructor Summary

Constructors
Constructor and Description
`SnitchProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(java.lang.String propertyName)`
`java.lang.String` `get(java.lang.String propertyName, java.lang.String defaultValue)` Get a snitch property value or return defaultValue if not defined.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RACKDC_PROPERTY_FILENAME

    public static final java.lang.String RACKDC_PROPERTY_FILENAME

See Also:
  Constant Field Values

### Constructor Detail

#### SnitchProperties

    public SnitchProperties()

### Method Detail

#### get

    public java.lang.String get(java.lang.String propertyName,
                                java.lang.String defaultValue)

Get a snitch property value or return defaultValue if not defined.

#### contains

    public boolean contains(java.lang.String propertyName)